Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1759 - /usr/bin/play is a shell script which can be exploited via mime types
Summary: /usr/bin/play is a shell script which can be exploited via mime types
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: sox
Version: 6.0
Hardware: i386
OS: Linux
high
medium
Target Milestone: ---
Assignee: Mike Maher
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-03-24 21:46 UTC by Preston Brown
Modified: 2008-05-01 15:37 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-04-01 22:37:09 UTC


Attachments (Terms of Use)

Description Preston Brown 1999-03-24 21:46:38 UTC
/usr/bin/play doesn't properly quote its arguments, and when
fed a properly crafted 'audio file', could do some nasty
things to your system as the user it is being run as.

Comment 1 Cristian Gafton 1999-03-24 22:18:59 UTC
assigned to mike

Comment 2 Mike Maher 1999-04-01 22:37:59 UTC
This problem is fixed and in the tree.


Note You need to log in before you can comment on or make changes to this bug.